{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Informations de
{% if current_user.role_id == 1 %}ma{% else %}la{% endif %}
demande de
mission
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}



{% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">Informations de
    {% if current_user.role_id == 1 %}
        ma
    {% else %}
        la
    {% endif %}
    demande de mission</h1>

{% if current_user.role_id == 2 %}
    {% if mission_request.accepted %}
        {% if mission_request.profReferant_id == None %}
            <form class="edit-form"  action="{{ url_for('add_prof', id=mission_request.id) }}" method="post">
                <input type="text" id="prof" name="prof" value="{{current_user.id}}"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block px-2.5 py-2 hidden"
                >
                <button type="submit" class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
                    S'inscrire en tant que référent
                </button>
            </form>
        {% endif %}
    {% endif %}
{% endif %}

<div class="flex gap-5">
    <section class="shadow rounded px-4 py-3 w-1/3">
        <h2 class="text-lg font-semibold mb-2">Infos de l'entreprise</h2>


        <table class="w-full rounded-lg overflow-hidden border border-collapse">
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Adresse complète</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ mission_request.company.address }}, {{ mission_request.company.cpostal }} - {{ mission_request.company.ville }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro de
                    téléphone</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ mission_request.company.contact_phone }}</td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Email</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ mission_request.company.contact_email }}</td>
            </tr>

        </table>



        <h2 class="text-lg font-semibold mb-2 mt-5">Infos du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</h2>



        <table class="w-full rounded-lg overflow-hidden border border-collapse">
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Nom</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ maitreApprentiStage.first_name }}
                    {{ maitreApprentiStage.last_name }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro de
                    téléphone</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ maitreApprentiStage.phone_number }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Email</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ maitreApprentiStage.email }}</td>
            </tr>

        </table>
    </section>


    <section class="shadow rounded px-4 py-3 w-2/3">
        <h2 class="text-lg font-semibold mb-2">Information de la demande</h2>
        <table class="w-full rounded-lg overflow-hidden border border-collapse mt-3">
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Crée le
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.created_at }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Type de contrat
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.offre_type.name }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Durée
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.weeks_number }} semaines
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Montant de salaire par heure
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.salary }} €
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Date de début
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.start_at }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Date de fin
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.end_at }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Mission
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ offre.description }}
                </td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Status de la demande
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {% if mission_request.accepted == True %}
                        La demande a été accepté
                    {% else %}
                        La demande est toutjours en coure de validation
                    {% endif %}
                </td>
            </tr>

            {% if current_user.role_id != 1 %}
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Créée par
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {{ mission_request.user.first_name }} {{ mission_request.user.last_name }}
                </td>
            </tr>
            {% endif %}

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">
                    Professeur référent
                </th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">
                    {% if mission_request.profReferant_id == None %}
                        Il n'y a pas encore de professeur assigné
                    {% else %}
                        {{professeur.last_name}} {{professeur.first_name}} 
                    {% endif %}
                </td>
            </tr>
        </table>
    </section>


</div>


<section class="flex justify-center mt-3">
    <div class="flex gap-3 mt-2">
        {% if current_user.role_id == 1 %}
            {% if mission_request.accepted == True %}
                {% if convention %}
                    <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('see_my_convention') }}">
                        Voir les détails de ma conventions
                    </a>
                {% else %}
                    <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('generate_convention') }}">
                        Passer à l'étape suivante
                    </a>
                {% endif %}
            {% else %}
                <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('one_request_mission_confirmation_edit', id=mission_request.id) }}">
                    Modifier ma demande
                </a>
                <button onclick="confirm(`Êtes-vous sûr de vouloir annuler votre demande ?`)?document.location.href=`{{ url_for('one_request_mission_confirmation_delete', id=mission_request.id) }}`:null" ="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex">
                    Annuler ma demande
                </button>
            {% endif %}
            <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex" href="{{ url_for('add_problem') }}">
                Un problème ?
            </a>
        {% else %}
            {% if mission_request.accepted != True %}
            <button onclick="confirm(`Êtes-vous sûr de vouloir valider la mission ?`)?document.location.href=`{{ url_for('validate_request_mission', id=mission_request.id) }}`:null" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex">
                Valider la demande
            </button>
            {% endif %}
        {% endif %}
            </div>
</section>



{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}